image: registry.gitlab.com/charts/alpine-helm

before_script:
  - helm init --client-only
  
pages:
  stage: deploy
  script:
    - mkdir -p public
    - mkdir -p public/newsroom
    - "echo \"User-Agent: *\nDisallow: /\" > ./public/robots.txt"
    - "echo \"Newsroom.bi Helm Charts: visit index.yaml \" > ./public/index.html"
    - while read chart; do
        git clone https://gitlab.com/newsroom.bi/$chart.git charts/$chart;
      done < CHARTS_LIST
    - helm lint charts/*
    - for chart in charts/*; do helm dep up $chart; done
    - helm package charts/* --destination .
    - helm repo index --url https://helm.newsroom.bi .
    - mv *.tgz ./public
    - mv index.yaml ./public
    - cat ./public/index.yaml
  artifacts:
    paths:
    - public
  only:
    - master
    - triggers
